#
# spec file for package gifsicle
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gifsicle
Version:        1.88
Release:        1.1
Summary:        Creating and editing, GIF images and animations
License:        GPL-2.0
Group:          Productivity/Graphics/Other
Url:            https://www.lcdf.org/gifsicle/
Source:         https://www.lcdf.org/gifsicle/%{name}-%{version}.tar.gz
Obsoletes:      ungifsicle < %{version}
Provides:       ungifsicle = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} == 1110
BuildRequires:  xorg-x11-libX11
BuildRequires:  xorg-x11-libX11-devel
%else
BuildRequires:  pkgconfig(x11)
%endif

%description
Gifsicle twaddles GIF image files in a variety of ways. It is better
than many of the freely available GIF twaddlers on the market -- for
one thing, it has more options.

It supports merging several GIFs into a GIF animation; exploding an
animation into its component frames; changing individual frames in an
animation; turning interlacing on and off; adding transparency; adding
delays, disposals, and looping to animations; adding or removing
comments; flipping and rotation; optimizing animations for space; and
changing images' colormaps, among other things. Extensive command-line
options control which, if any, of these occur.

Gifview, a companion program requiring X11, displays GIF images and
animations on an X display. It can display multi-frame GIFs either as
slideshows, displaying one frame at a time, or as real-time animations.

Gifdiff, another companion program, checks two GIF files for identical
visual appearance. This is probably most useful for testing
GIF-manipulating software.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README.md
%{_bindir}/gifdiff
%{_bindir}/gifsicle
%{_bindir}/gifview
%{_mandir}/man1/gifdiff.1%{ext_man}
%{_mandir}/man1/gifsicle.1%{ext_man}
%{_mandir}/man1/gifview.1%{ext_man}

%changelog
* Sun Jan 24 2016 mpluskal@suse.com
- Use macro for configure
- Use correct obsoletes/provides
* Fri Jan 22 2016 manfred99@gmx.ch
- update license indication in the spec file: it is GPL-2.0 (only)
* Thu Jan 14 2016 manfred99@gmx.ch
- rpm packaging for OBS
